## com.baidubce.services.bos.model
Class GetBucketLocationRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GetBucketLocationRequest

    public class GetBucketLocationRequest

extends GenericBucketRequest

Get Bucket Location Request class

Constructor Summary
`GetBucketLocationRequest(String bucketName)` Constructs a new GetBucketLocationRequest object, ready to retrieve the Location for the specified bucket when executed.

Method Summary
`GetBucketLocationRequest` `withBucketName(String bucketName)`
`GetBucketLocationRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetBucketLocationRequest

    public GetBucketLocationRequest(String bucketName)

  Constructs a new GetBucketLocationRequest object, ready to retrieve the Location for the specified bucket when executed.

  Parameters:
    `bucketName` - The name of the bucket whose Location will be retrieved by this request when executed.

Method Detail

### withRequestCredentials

    public GetBucketLocationRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public GetBucketLocationRequest withBucketName(String bucketName)

  Specified by:
    `withBucketName` in class `GenericBucketRequest`

Copyright © 2016. All rights reserved.